Approve a held result: verified when the server refereed or replayed it, checked otherwise.
POST
/api/admin/review/{id}/approve
const url = 'https://example.com/api/admin/review/1/approve';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"note":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/admin/review/1/approve \ --header 'Content-Type: application/json' \ --data '{ "note": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer format: int64
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
note
required
null | string
Example generated
{ "note": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
result
required
object
id
required
integer format: int64
kind
required
string
profileId
required
string format: uuid
gameId
required
string
board
required
string
value
required
number format: double
at
required
string format: date-time
level
required
string
reason
required
string
since
required
string format: date-time
by
required
null | string
evidence
required
string
player
required
history
required
object
best
required
null | number format: double
runs
required
integer format: int32
recent
required
Array<object>
object
id
required
integer format: int64
value
required
number format: double
level
required
string
at
required
string format: date-time
ranked
required
Example generated
{ "result": { "id": 1, "kind": "example", "profileId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "gameId": "example", "board": "example", "value": 1, "at": "2026-04-15T12:00:00Z", "level": "example", "reason": "example", "since": "2026-04-15T12:00:00Z", "by": "example", "evidence": "example" }, "player": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "avatar": "example", "publicId": "example", "accountId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "account": "example" }, "history": { "best": 1, "runs": 1, "recent": [ { "id": 1, "value": 1, "level": "example", "at": "2026-04-15T12:00:00Z" } ] }, "ranked": { "moves": 1, "seconds": 1, "minMsPerMove": 1, "claimed": 1, "replayed": 1 }, "decisions": [ { "from": "example", "to": "example", "reason": "example", "details": "example", "ruleVersion": 1, "actor": "example", "at": "2026-04-15T12:00:00Z" } ]}Bad Request
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}Not Found